<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<title>DUNE Warm Interface Board: bdf_type Architecture  Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { searchBox.OnSelectItem(0); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td style="padding-left: 0.5em;">
   <div id="projectname">DUNE Warm Interface Board
   </div>
   <div id="projectbrief">Firmware for the DUNE Warm Interface Board (WIB)</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.1 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li class="current"><a href="annotated.html"><span>Design&#160;Unit&#160;List</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Design&#160;Unit&#160;List</span></a></li>
      <li><a href="classes.html"><span>Design&#160;Units</span></a></li>
      <li><a href="inherits.html"><span>Design&#160;Unit&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Design&#160;Unit&#160;Members</span></a></li>
    </ul>
  </div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
<a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(0)"><span class="SelectionMark">&#160;</span>All</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(1)"><span class="SelectionMark">&#160;</span>Classes</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(2)"><span class="SelectionMark">&#160;</span>Variables</a></div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="classUDP__IO.html">UDP_IO</a></li><li class="navelem"><a class="el" href="classUDP__IO_1_1bdf__type.html">bdf_type</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-attribs">Public Attributes</a>  </div>
  <div class="headertitle">
<div class="title">bdf_type Architecture Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p><a href="classUDP__IO_1_1bdf__type-members.html">List of all members.</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2><a name="Components"></a>
Components</h2></td></tr>
 <tr class="memitem:a543b58d702a08708c14634595c3a150a"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a543b58d702a08708c14634595c3a150a"></a>
<a class="el" href="classUDP__IO_1_1bdf__type.html#a543b58d702a08708c14634595c3a150a">WIB_TSE</a>&#160;</td><td class="memItemRight" valign="bottom">  <b></b>  <em><a class="el" href="classWIB__TSE.html">&lt;Entity WIB_TSE&gt; </a></em></td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2><a name="Signals"></a>
Signals</h2></td></tr>
 <tr class="memitem:a872bb2555b824163967126e7f9108833"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a872bb2555b824163967126e7f9108833"></a>
<a class="el" href="classUDP__IO_1_1bdf__type.html#a872bb2555b824163967126e7f9108833">rd_strb_in</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">STD_LOGIC</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a95ab2e606b5adc66be712e7d9a2c8fc0"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a95ab2e606b5adc66be712e7d9a2c8fc0"></a>
<a class="el" href="classUDP__IO_1_1bdf__type.html#a95ab2e606b5adc66be712e7d9a2c8fc0">WR_strb_RESP</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">STD_LOGIC</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a7d52676aa1f33a98fbe99134a5840886"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a7d52676aa1f33a98fbe99134a5840886"></a>
<a class="el" href="classUDP__IO_1_1bdf__type.html#a7d52676aa1f33a98fbe99134a5840886">reg_addr</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">STD_LOGIC_VECTOR</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">7</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:ad91938c20691d5ecd6f0982f4bc3a6a3"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ad91938c20691d5ecd6f0982f4bc3a6a3"></a>
<a class="el" href="classUDP__IO_1_1bdf__type.html#ad91938c20691d5ecd6f0982f4bc3a6a3">reg_bsy</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">STD_LOGIC</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a2898f198b7f9cae5297c3ede722f246b"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a2898f198b7f9cae5297c3ede722f246b"></a>
<a class="el" href="classUDP__IO_1_1bdf__type.html#a2898f198b7f9cae5297c3ede722f246b">reg_data_in</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">STD_LOGIC_VECTOR</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">31</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a1d6545485ce7dc2afec77409fc15bbf6"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a1d6545485ce7dc2afec77409fc15bbf6"></a>
<a class="el" href="classUDP__IO_1_1bdf__type.html#a1d6545485ce7dc2afec77409fc15bbf6">reg_data_out</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">STD_LOGIC_VECTOR</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">31</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:af65dd0fc2c17a8f89017c8e872734b4f"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="af65dd0fc2c17a8f89017c8e872734b4f"></a>
<a class="el" href="classUDP__IO_1_1bdf__type.html#af65dd0fc2c17a8f89017c8e872734b4f">reg_rd</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">STD_LOGIC</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a32ac0a184214604546badb8756acf938"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a32ac0a184214604546badb8756acf938"></a>
<a class="el" href="classUDP__IO_1_1bdf__type.html#a32ac0a184214604546badb8756acf938">reg_wr</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">STD_LOGIC</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:aa12c2a9d910964805c5d8cf63ae9d278"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aa12c2a9d910964805c5d8cf63ae9d278"></a>
<a class="el" href="classUDP__IO_1_1bdf__type.html#aa12c2a9d910964805c5d8cf63ae9d278">rx_data_in</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">STD_LOGIC_VECTOR</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">7</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a0ac564f68c85e63608c0fd0a1c8a52c0"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a0ac564f68c85e63608c0fd0a1c8a52c0"></a>
<a class="el" href="classUDP__IO_1_1bdf__type.html#a0ac564f68c85e63608c0fd0a1c8a52c0">rx_dval</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">STD_LOGIC</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:aec50ede9a112a4a148611f67e71e4c84"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aec50ede9a112a4a148611f67e71e4c84"></a>
<a class="el" href="classUDP__IO_1_1bdf__type.html#aec50ede9a112a4a148611f67e71e4c84">rx_eop</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">STD_LOGIC</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a6206e7076d71ec8817e2caf02c6a4a7f"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a6206e7076d71ec8817e2caf02c6a4a7f"></a>
<a class="el" href="classUDP__IO_1_1bdf__type.html#a6206e7076d71ec8817e2caf02c6a4a7f">rx_sop</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">STD_LOGIC</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a57bd210d6b1257ac4f4c5057bff15074"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a57bd210d6b1257ac4f4c5057bff15074"></a>
<a class="el" href="classUDP__IO_1_1bdf__type.html#a57bd210d6b1257ac4f4c5057bff15074">src_ip</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">STD_LOGIC_VECTOR</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">31</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a31a018507fe9be7b7b7ce0e0c7be34de"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a31a018507fe9be7b7b7ce0e0c7be34de"></a>
<a class="el" href="classUDP__IO_1_1bdf__type.html#a31a018507fe9be7b7b7ce0e0c7be34de">src_mac</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">STD_LOGIC_VECTOR</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">47</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a243abc1d3f5106cf88705eb10323a81d"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a243abc1d3f5106cf88705eb10323a81d"></a>
<a class="el" href="classUDP__IO_1_1bdf__type.html#a243abc1d3f5106cf88705eb10323a81d">src_port</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic_vector</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">15</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:ade9f0a1e0c69078c366b82b75b19421d"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ade9f0a1e0c69078c366b82b75b19421d"></a>
<a class="el" href="classUDP__IO_1_1bdf__type.html#ade9f0a1e0c69078c366b82b75b19421d">tx_eop</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">STD_LOGIC</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:af947ded5ea9b459773d9c5bb2a49e7de"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="af947ded5ea9b459773d9c5bb2a49e7de"></a>
<a class="el" href="classUDP__IO_1_1bdf__type.html#af947ded5ea9b459773d9c5bb2a49e7de">tx_packet_data</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">STD_LOGIC_VECTOR</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">7</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:ae9972b2f5f761e364d28204e6a41423a"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ae9972b2f5f761e364d28204e6a41423a"></a>
<a class="el" href="classUDP__IO_1_1bdf__type.html#ae9972b2f5f761e364d28204e6a41423a">tx_sop</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">STD_LOGIC</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:aa1e40f7a5b05667c320ff3677b1d47f2"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aa1e40f7a5b05667c320ff3677b1d47f2"></a>
<a class="el" href="classUDP__IO_1_1bdf__type.html#aa1e40f7a5b05667c320ff3677b1d47f2">tx_wren</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">STD_LOGIC</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:ab4dcc3d79f812851adb0c0f23c75be9b"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ab4dcc3d79f812851adb0c0f23c75be9b"></a>
<a class="el" href="classUDP__IO_1_1bdf__type.html#ab4dcc3d79f812851adb0c0f23c75be9b">tx_rdy</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">STD_LOGIC</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a51abf8134bc1dca914ae1670634e3e50"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a51abf8134bc1dca914ae1670634e3e50"></a>
<a class="el" href="classUDP__IO_1_1bdf__type.html#a51abf8134bc1dca914ae1670634e3e50">address_s</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">STD_LOGIC_VECTOR</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">15</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:aac766ddc77c5d2ec77e59ea5623421f7"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aac766ddc77c5d2ec77e59ea5623421f7"></a>
<a class="el" href="classUDP__IO_1_1bdf__type.html#aac766ddc77c5d2ec77e59ea5623421f7">data_s</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">STD_LOGIC_VECTOR</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">31</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:af6a2c0500670c3758d44a8896c9994e9"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="af6a2c0500670c3758d44a8896c9994e9"></a>
<a class="el" href="classUDP__IO_1_1bdf__type.html#af6a2c0500670c3758d44a8896c9994e9">arp_req</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">STD_LOGIC</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a2a0c433b4231020b68b8db38d339e731"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a2a0c433b4231020b68b8db38d339e731"></a>
<a class="el" href="classUDP__IO_1_1bdf__type.html#a2a0c433b4231020b68b8db38d339e731">arp_src_IP</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">STD_LOGIC_VECTOR</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">31</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a16b6fd77bbc32848b4f2c2c45a29edee"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a16b6fd77bbc32848b4f2c2c45a29edee"></a>
<a class="el" href="classUDP__IO_1_1bdf__type.html#a16b6fd77bbc32848b4f2c2c45a29edee">arp_src_MAC</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">STD_LOGIC_VECTOR</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">47</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a836678fde8881bf02e12b74333faefd9"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a836678fde8881bf02e12b74333faefd9"></a>
<a class="el" href="classUDP__IO_1_1bdf__type.html#a836678fde8881bf02e12b74333faefd9">reg_RDOUT_num</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">STD_LOGIC_VECTOR</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">3</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:ac8244cb62371246be92858ede338792f"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ac8244cb62371246be92858ede338792f"></a>
<a class="el" href="classUDP__IO_1_1bdf__type.html#ac8244cb62371246be92858ede338792f">FEMB_BRD_r</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">STD_LOGIC_VECTOR</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">3</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:ab1cc340f059ed659ec4c4d059333d2c4"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ab1cc340f059ed659ec4c4d059333d2c4"></a>
<a class="el" href="classUDP__IO_1_1bdf__type.html#ab1cc340f059ed659ec4c4d059333d2c4">FEMB_WR_strb_RESP</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">:</span><span class="vhdlchar">=</span><span class="vhdlchar"> </span><span class="vhdlchar">'</span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">'</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a999bedfbaf6e4ef1f3ab4f875e17f638"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a999bedfbaf6e4ef1f3ab4f875e17f638"></a>
<a class="el" href="classUDP__IO_1_1bdf__type.html#a999bedfbaf6e4ef1f3ab4f875e17f638">DQM_rx_strb</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">:</span><span class="vhdlchar">=</span><span class="vhdlchar"> </span><span class="vhdlchar">'</span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">'</span><span class="vhdlchar"> </span></b></td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2><a name="Instantiations"></a>
Instantiations</h2></td></tr>
 <tr class="memitem:ac61672179e047eb8502703c3080f548d"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ac61672179e047eb8502703c3080f548d"></a>
<a class="el" href="classUDP__IO_1_1bdf__type.html#ac61672179e047eb8502703c3080f548d">rx_frame_inst</a>&#160;</td><td class="memItemRight" valign="bottom">  <b>WORK.rx_frame</b>  </td></tr>
<tr class="memitem:aa54295896126ffe0bb16932dca53bde8"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aa54295896126ffe0bb16932dca53bde8"></a>
<a class="el" href="classUDP__IO_1_1bdf__type.html#aa54295896126ffe0bb16932dca53bde8">tx_frame_inst</a>&#160;</td><td class="memItemRight" valign="bottom">  <b>WORK.tx_frame</b>  </td></tr>
<tr class="memitem:a38a5b2899407db248c5f5020591aed23"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a38a5b2899407db248c5f5020591aed23"></a>
<a class="el" href="classUDP__IO_1_1bdf__type.html#a38a5b2899407db248c5f5020591aed23">WIB_TSE_inst</a>&#160;</td><td class="memItemRight" valign="bottom">  <b>WIB_TSE</b>  <em><a class="el" href="classWIB__TSE.html">&lt;Entity WIB_TSE&gt;</a></em></td></tr>
</table>
<hr/><a name="details" id="details"></a><h2>Detailed Description</h2>
<div class="textblock">
<p>Definition at line <a class="el" href="udp__io_8vhd_source.html#l00078">78</a> of file <a class="el" href="udp__io_8vhd_source.html">udp_io.vhd</a>.</p>
</div><hr/>The documentation for this class was generated from the following file:<ul>
<li>/home/dan/work/DUNE/dune-wib.firmware/trunk/src/udp_io/<a class="el" href="udp__io_8vhd_source.html">udp_io.vhd</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Wed Nov 1 2017 10:40:36 for DUNE Warm Interface Board by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.1
</small></address>
</body>
</html>
